<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Tue Jan 15 11:13:03 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
DecompressingHttpClient (HttpClient 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DecompressingHttpClient (HttpClient 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DecompressingHttpClient.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/ContentEncodingHttpClient.html" title="class in org.apache.http.impl.client"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/DefaultBackoffStrategy.html" title="class in org.apache.http.impl.client"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/client/DecompressingHttpClient.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DecompressingHttpClient.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.impl.client</FONT>
<BR>
Class DecompressingHttpClient</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.impl.client.DecompressingHttpClient</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>DecompressingHttpClient</B><DT>extends <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A></DL>
</PRE>

<P>
<p>Decorator adding support for compressed responses. This class sets
 the <code>Accept-Encoding</code> header on requests to indicate
 support for the <code>gzip</code> and <code>deflate</code>
 compression schemes; it then checks the <code>Content-Encoding</code>
 header on the response to uncompress any compressed response bodies.
 The <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io"><CODE>InputStream</CODE></A> of the entity will contain the uncompressed
 content.</p>
 
 <p><b>N.B.</b> Any upstream clients of this class need to be aware that
 this effectively obscures visibility into the length of a server
 response body, since the <code>Content-Length</code> header will
 correspond to the compressed entity length received from the server,
 but the content length experienced by reading the response body may
 be different (hopefully higher!).</p>
 
 <p>That said, this decorator is compatible with the 
 <code>CachingHttpClient</code> in that the two decorators can be added 
 in either order and still have cacheable responses be cached.</p>
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.2</DD>
</DL>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DecompressingHttpClient.html#DecompressingHttpClient(org.apache.http.client.HttpClient)">DecompressingHttpClient</A></B>(<A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A>&nbsp;backend)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a decorator to ask for and handle compressed
 entities on the fly.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpResponse.html?is-external=true" title="class or interface in org.apache.http">HttpResponse</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DecompressingHttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest)">execute</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpHost.html?is-external=true" title="class or interface in org.apache.http">HttpHost</A>&nbsp;target,
        <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes a request to the target using the default context.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpResponse.html?is-external=true" title="class or interface in org.apache.http">HttpResponse</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DecompressingHttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">execute</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpHost.html?is-external=true" title="class or interface in org.apache.http">HttpHost</A>&nbsp;target,
        <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request,
        <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes a request to the target using the given context.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T&gt; T</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DecompressingHttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.client.ResponseHandler)">execute</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpHost.html?is-external=true" title="class or interface in org.apache.http">HttpHost</A>&nbsp;target,
        <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request,
        <A HREF="../../../../../org/apache/http/client/ResponseHandler.html" title="interface in org.apache.http.client">ResponseHandler</A>&lt;? extends T&gt;&nbsp;responseHandler)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes a request to the target using the default context and
 processes the response using the given response handler.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T&gt; T</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DecompressingHttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.client.ResponseHandler, org.apache.http.protocol.HttpContext)">execute</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpHost.html?is-external=true" title="class or interface in org.apache.http">HttpHost</A>&nbsp;target,
        <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request,
        <A HREF="../../../../../org/apache/http/client/ResponseHandler.html" title="interface in org.apache.http.client">ResponseHandler</A>&lt;? extends T&gt;&nbsp;responseHandler,
        <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes a request to the target using the given context and
 processes the response using the given response handler.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpResponse.html?is-external=true" title="class or interface in org.apache.http">HttpResponse</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DecompressingHttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest)">execute</A></B>(<A HREF="../../../../../org/apache/http/client/methods/HttpUriRequest.html" title="interface in org.apache.http.client.methods">HttpUriRequest</A>&nbsp;request)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes a request using the default context.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpResponse.html?is-external=true" title="class or interface in org.apache.http">HttpResponse</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DecompressingHttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.protocol.HttpContext)">execute</A></B>(<A HREF="../../../../../org/apache/http/client/methods/HttpUriRequest.html" title="interface in org.apache.http.client.methods">HttpUriRequest</A>&nbsp;request,
        <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes a request using the given context.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T&gt; T</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DecompressingHttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.client.ResponseHandler)">execute</A></B>(<A HREF="../../../../../org/apache/http/client/methods/HttpUriRequest.html" title="interface in org.apache.http.client.methods">HttpUriRequest</A>&nbsp;request,
        <A HREF="../../../../../org/apache/http/client/ResponseHandler.html" title="interface in org.apache.http.client">ResponseHandler</A>&lt;? extends T&gt;&nbsp;responseHandler)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes a request using the default context and processes the
 response using the given response handler.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T&gt; T</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DecompressingHttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.client.ResponseHandler, org.apache.http.protocol.HttpContext)">execute</A></B>(<A HREF="../../../../../org/apache/http/client/methods/HttpUriRequest.html" title="interface in org.apache.http.client.methods">HttpUriRequest</A>&nbsp;request,
        <A HREF="../../../../../org/apache/http/client/ResponseHandler.html" title="interface in org.apache.http.client">ResponseHandler</A>&lt;? extends T&gt;&nbsp;responseHandler,
        <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Executes a request using the given context and processes the
 response using the given response handler.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DecompressingHttpClient.html#getConnectionManager()">getConnectionManager</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Obtains the connection manager used by this client.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DecompressingHttpClient.html#getParams()">getParams</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Obtains the parameters for this client.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DecompressingHttpClient(org.apache.http.client.HttpClient)"><!-- --></A><H3>
DecompressingHttpClient</H3>
<PRE>
public <B>DecompressingHttpClient</B>(<A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A>&nbsp;backend)</PRE>
<DL>
<DD>Constructs a decorator to ask for and handle compressed
 entities on the fly.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>backend</CODE> - the <A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client"><CODE>HttpClient</CODE></A> to use for actually
   issuing requests</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getParams()"><!-- --></A><H3>
getParams</H3>
<PRE>
public <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A> <B>getParams</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#getParams()">HttpClient</A></CODE></B></DD>
<DD>Obtains the parameters for this client.
 These parameters will become defaults for all requests being
 executed with this client, and for the parameters of
 dependent objects in this client.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#getParams()">getParams</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the default parameters</DL>
</DD>
</DL>
<HR>

<A NAME="getConnectionManager()"><!-- --></A><H3>
getConnectionManager</H3>
<PRE>
public <A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A> <B>getConnectionManager</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#getConnectionManager()">HttpClient</A></CODE></B></DD>
<DD>Obtains the connection manager used by this client.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#getConnectionManager()">getConnectionManager</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the connection manager</DL>
</DD>
</DL>
<HR>

<A NAME="execute(org.apache.http.client.methods.HttpUriRequest)"><!-- --></A><H3>
execute</H3>
<PRE>
public <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpResponse.html?is-external=true" title="class or interface in org.apache.http">HttpResponse</A> <B>execute</B>(<A HREF="../../../../../org/apache/http/client/methods/HttpUriRequest.html" title="interface in org.apache.http.client.methods">HttpUriRequest</A>&nbsp;request)
                     throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A>,
                            <A HREF="../../../../../org/apache/http/client/ClientProtocolException.html" title="class in org.apache.http.client">ClientProtocolException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest)">HttpClient</A></CODE></B></DD>
<DD>Executes a request using the default context.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest)">execute</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>request</CODE> - the request to execute
<DT><B>Returns:</B><DD>the response to the request. This is always a final response,
          never an intermediate response with an 1xx status code.
          Whether redirects or authentication challenges will be returned
          or handled automatically depends on the implementation and
          configuration of this client.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of a problem or the connection was aborted
<DD><CODE><A HREF="../../../../../org/apache/http/client/ClientProtocolException.html" title="class in org.apache.http.client">ClientProtocolException</A></CODE> - in case of an http protocol error</DL>
</DD>
</DL>
<HR>

<A NAME="execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.protocol.HttpContext)"><!-- --></A><H3>
execute</H3>
<PRE>
public <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpResponse.html?is-external=true" title="class or interface in org.apache.http">HttpResponse</A> <B>execute</B>(<A HREF="../../../../../org/apache/http/client/methods/HttpUriRequest.html" title="interface in org.apache.http.client.methods">HttpUriRequest</A>&nbsp;request,
                            <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)
                     throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A>,
                            <A HREF="../../../../../org/apache/http/client/ClientProtocolException.html" title="class in org.apache.http.client">ClientProtocolException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.protocol.HttpContext)">HttpClient</A></CODE></B></DD>
<DD>Executes a request using the given context.
 The route to the target will be determined by the HTTP client.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.protocol.HttpContext)">execute</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>request</CODE> - the request to execute<DD><CODE>context</CODE> - the context to use for the execution, or
                  <code>null</code> to use the default context
<DT><B>Returns:</B><DD>the response to the request. This is always a final response,
          never an intermediate response with an 1xx status code.
          Whether redirects or authentication challenges will be returned
          or handled automatically depends on the implementation and
          configuration of this client.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of a problem or the connection was aborted
<DD><CODE><A HREF="../../../../../org/apache/http/client/ClientProtocolException.html" title="class in org.apache.http.client">ClientProtocolException</A></CODE> - in case of an http protocol error</DL>
</DD>
</DL>
<HR>

<A NAME="execute(org.apache.http.HttpHost, org.apache.http.HttpRequest)"><!-- --></A><H3>
execute</H3>
<PRE>
public <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpResponse.html?is-external=true" title="class or interface in org.apache.http">HttpResponse</A> <B>execute</B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpHost.html?is-external=true" title="class or interface in org.apache.http">HttpHost</A>&nbsp;target,
                            <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request)
                     throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A>,
                            <A HREF="../../../../../org/apache/http/client/ClientProtocolException.html" title="class in org.apache.http.client">ClientProtocolException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest)">HttpClient</A></CODE></B></DD>
<DD>Executes a request to the target using the default context.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest)">execute</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>target</CODE> - the target host for the request.
                  Implementations may accept <code>null</code>
                  if they can still determine a route, for example
                  to a default target or by inspecting the request.<DD><CODE>request</CODE> - the request to execute
<DT><B>Returns:</B><DD>the response to the request. This is always a final response,
          never an intermediate response with an 1xx status code.
          Whether redirects or authentication challenges will be returned
          or handled automatically depends on the implementation and
          configuration of this client.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of a problem or the connection was aborted
<DD><CODE><A HREF="../../../../../org/apache/http/client/ClientProtocolException.html" title="class in org.apache.http.client">ClientProtocolException</A></CODE> - in case of an http protocol error</DL>
</DD>
</DL>
<HR>

<A NAME="execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)"><!-- --></A><H3>
execute</H3>
<PRE>
public <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpResponse.html?is-external=true" title="class or interface in org.apache.http">HttpResponse</A> <B>execute</B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpHost.html?is-external=true" title="class or interface in org.apache.http">HttpHost</A>&nbsp;target,
                            <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request,
                            <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)
                     throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A>,
                            <A HREF="../../../../../org/apache/http/client/ClientProtocolException.html" title="class in org.apache.http.client">ClientProtocolException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">HttpClient</A></CODE></B></DD>
<DD>Executes a request to the target using the given context.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">execute</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>target</CODE> - the target host for the request.
                  Implementations may accept <code>null</code>
                  if they can still determine a route, for example
                  to a default target or by inspecting the request.<DD><CODE>request</CODE> - the request to execute<DD><CODE>context</CODE> - the context to use for the execution, or
                  <code>null</code> to use the default context
<DT><B>Returns:</B><DD>the response to the request. This is always a final response,
          never an intermediate response with an 1xx status code.
          Whether redirects or authentication challenges will be returned
          or handled automatically depends on the implementation and
          configuration of this client.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of a problem or the connection was aborted
<DD><CODE><A HREF="../../../../../org/apache/http/client/ClientProtocolException.html" title="class in org.apache.http.client">ClientProtocolException</A></CODE> - in case of an http protocol error</DL>
</DD>
</DL>
<HR>

<A NAME="execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.client.ResponseHandler)"><!-- --></A><H3>
execute</H3>
<PRE>
public &lt;T&gt; T <B>execute</B>(<A HREF="../../../../../org/apache/http/client/methods/HttpUriRequest.html" title="interface in org.apache.http.client.methods">HttpUriRequest</A>&nbsp;request,
                     <A HREF="../../../../../org/apache/http/client/ResponseHandler.html" title="interface in org.apache.http.client">ResponseHandler</A>&lt;? extends T&gt;&nbsp;responseHandler)
          throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A>,
                 <A HREF="../../../../../org/apache/http/client/ClientProtocolException.html" title="class in org.apache.http.client">ClientProtocolException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.client.ResponseHandler)">HttpClient</A></CODE></B></DD>
<DD>Executes a request using the default context and processes the
 response using the given response handler.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.client.ResponseHandler)">execute</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>request</CODE> - the request to execute<DD><CODE>responseHandler</CODE> - the response handler
<DT><B>Returns:</B><DD>the response object as generated by the response handler.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of a problem or the connection was aborted
<DD><CODE><A HREF="../../../../../org/apache/http/client/ClientProtocolException.html" title="class in org.apache.http.client">ClientProtocolException</A></CODE> - in case of an http protocol error</DL>
</DD>
</DL>
<HR>

<A NAME="execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.client.ResponseHandler, org.apache.http.protocol.HttpContext)"><!-- --></A><H3>
execute</H3>
<PRE>
public &lt;T&gt; T <B>execute</B>(<A HREF="../../../../../org/apache/http/client/methods/HttpUriRequest.html" title="interface in org.apache.http.client.methods">HttpUriRequest</A>&nbsp;request,
                     <A HREF="../../../../../org/apache/http/client/ResponseHandler.html" title="interface in org.apache.http.client">ResponseHandler</A>&lt;? extends T&gt;&nbsp;responseHandler,
                     <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)
          throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A>,
                 <A HREF="../../../../../org/apache/http/client/ClientProtocolException.html" title="class in org.apache.http.client">ClientProtocolException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.client.ResponseHandler, org.apache.http.protocol.HttpContext)">HttpClient</A></CODE></B></DD>
<DD>Executes a request using the given context and processes the
 response using the given response handler.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.client.ResponseHandler, org.apache.http.protocol.HttpContext)">execute</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>request</CODE> - the request to execute<DD><CODE>responseHandler</CODE> - the response handler
<DT><B>Returns:</B><DD>the response object as generated by the response handler.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of a problem or the connection was aborted
<DD><CODE><A HREF="../../../../../org/apache/http/client/ClientProtocolException.html" title="class in org.apache.http.client">ClientProtocolException</A></CODE> - in case of an http protocol error</DL>
</DD>
</DL>
<HR>

<A NAME="execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.client.ResponseHandler)"><!-- --></A><H3>
execute</H3>
<PRE>
public &lt;T&gt; T <B>execute</B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpHost.html?is-external=true" title="class or interface in org.apache.http">HttpHost</A>&nbsp;target,
                     <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request,
                     <A HREF="../../../../../org/apache/http/client/ResponseHandler.html" title="interface in org.apache.http.client">ResponseHandler</A>&lt;? extends T&gt;&nbsp;responseHandler)
          throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A>,
                 <A HREF="../../../../../org/apache/http/client/ClientProtocolException.html" title="class in org.apache.http.client">ClientProtocolException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.client.ResponseHandler)">HttpClient</A></CODE></B></DD>
<DD>Executes a request to the target using the default context and
 processes the response using the given response handler.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.client.ResponseHandler)">execute</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>target</CODE> - the target host for the request.
                  Implementations may accept <code>null</code>
                  if they can still determine a route, for example
                  to a default target or by inspecting the request.<DD><CODE>request</CODE> - the request to execute<DD><CODE>responseHandler</CODE> - the response handler
<DT><B>Returns:</B><DD>the response object as generated by the response handler.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of a problem or the connection was aborted
<DD><CODE><A HREF="../../../../../org/apache/http/client/ClientProtocolException.html" title="class in org.apache.http.client">ClientProtocolException</A></CODE> - in case of an http protocol error</DL>
</DD>
</DL>
<HR>

<A NAME="execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.client.ResponseHandler, org.apache.http.protocol.HttpContext)"><!-- --></A><H3>
execute</H3>
<PRE>
public &lt;T&gt; T <B>execute</B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpHost.html?is-external=true" title="class or interface in org.apache.http">HttpHost</A>&nbsp;target,
                     <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request,
                     <A HREF="../../../../../org/apache/http/client/ResponseHandler.html" title="interface in org.apache.http.client">ResponseHandler</A>&lt;? extends T&gt;&nbsp;responseHandler,
                     <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)
          throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A>,
                 <A HREF="../../../../../org/apache/http/client/ClientProtocolException.html" title="class in org.apache.http.client">ClientProtocolException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.client.ResponseHandler, org.apache.http.protocol.HttpContext)">HttpClient</A></CODE></B></DD>
<DD>Executes a request to the target using the given context and
 processes the response using the given response handler.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.client.ResponseHandler, org.apache.http.protocol.HttpContext)">execute</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>target</CODE> - the target host for the request.
                  Implementations may accept <code>null</code>
                  if they can still determine a route, for example
                  to a default target or by inspecting the request.<DD><CODE>request</CODE> - the request to execute<DD><CODE>responseHandler</CODE> - the response handler<DD><CODE>context</CODE> - the context to use for the execution, or
                  <code>null</code> to use the default context
<DT><B>Returns:</B><DD>the response object as generated by the response handler.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of a problem or the connection was aborted
<DD><CODE><A HREF="../../../../../org/apache/http/client/ClientProtocolException.html" title="class in org.apache.http.client">ClientProtocolException</A></CODE> - in case of an http protocol error</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DecompressingHttpClient.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/ContentEncodingHttpClient.html" title="class in org.apache.http.impl.client"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/DefaultBackoffStrategy.html" title="class in org.apache.http.impl.client"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/client/DecompressingHttpClient.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DecompressingHttpClient.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
